Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Gesamtlaenge von. Linien/3D-Polylinien

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Gesamtlaenge von. Linien/3D-Polylinien (5425 mal gelesen)
Walter Zettlitzer
Mitglied
Dipl.-Ing (FH)


Sehen Sie sich das Profil von Walter Zettlitzer an!   Senden Sie eine Private Message an Walter Zettlitzer  Schreiben Sie einen Gästebucheintrag für Walter Zettlitzer

Beiträge: 228
Registriert: 25.07.2002

WIN 2000, WINXP, ACAD 2002, ACAD 2004,
Appl. ProStahl 3D

erstellt am: 30. Sep. 2002 17:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,
ich habe in einer Zeichnung viele 3D-Polylinien, deren aufsummierte Gesamtlänge ich benötige.

Auch gut wäre eine Möglichkeit, alle Längen beliebiger gewählter Linien aufzuaddieren.

Hat hier jemand zufällig was geschrieben?

Danke, Walter

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Brischke
Moderator
CAD on demand GmbH




Sehen Sie sich das Profil von Brischke an!   Senden Sie eine Private Message an Brischke  Schreiben Sie einen Gästebucheintrag für Brischke

Beiträge: 4136
Registriert: 17.05.2001

AutoCAD 20XX, defun-tools (d-tools.eu)

erstellt am: 30. Sep. 2002 20:14    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Walter Zettlitzer 10 Unities + Antwort hilfreich

Hallo Walter,

habe mich mal kurz drangemacht. Im folgenden das Ergebnis:


(defun c:pll (/ as elemli plangli z)
(setq as (ssget "_X"
(list
'(-4 . "<and")
'(0 . "POLYLINE")
'(-4 . "and>")
)
)
)
(if as (setq elemli (bau_elemli as)
z 0))
(if elemli
(progn
(mapcar '(lambda (LA)
(setq z (1+ z))
(terpri)
(princ (strcat "Linie "(itoa z)":\t"))
(princ LA)
);lambda
(setq plangli
(mapcar '(lambda (plli / ptlist pt1 pt2 langli plli pllid vert vertd)
(setq pllid (entget plli)
vert plli
)
(while (and
(setq vert (entnext vert))
(/= (cdr (assoc 0 (setq vertd (entget vert)))) "SEQEND")
)
(setq ptlist (cons (cdr (assoc 10 vertd)) ptlist))
);while
(setq pt2 (car ptlist))
(repeat (length (setq ptlist (cdr ptlist)))
(setq pt1 pt2
pt2 (car ptlist)
ptlist (cdr ptlist)
langli (cons (distance pt1 pt2) langli)
)
);repeat
(apply '+ langli)
);lambda
elemli
);mapcar
);setq plangli
);mapcar
(terpri)
(princ "Gesamt:\t")
(princ (apply '+ plangli))
(princ)
);progn
);if
)
(defun bau_elemli (asatz / n elemli)
(setq n 0)
(repeat (sslength asatz)
(setq elemli(cons (ssname asatz n) elemli)
n (1+ n))
)
elemli
)


Bei Fragen...

Grüße Holger

------------------
Holger Brischke
CADlon

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Walter Zettlitzer
Mitglied
Dipl.-Ing (FH)


Sehen Sie sich das Profil von Walter Zettlitzer an!   Senden Sie eine Private Message an Walter Zettlitzer  Schreiben Sie einen Gästebucheintrag für Walter Zettlitzer

Beiträge: 228
Registriert: 25.07.2002

WIN 2000, WINXP, ACAD 2002, ACAD 2004,
Appl. ProStahl 3D

erstellt am: 01. Okt. 2002 09:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Holger,

herzlichen Dank, da hast Du mir einige Arbeit erspart :-)

Walter

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Matthias100
Mitglied
Dipl. Ing. (Fh) Landschaftsarchitektur


Sehen Sie sich das Profil von Matthias100 an!   Senden Sie eine Private Message an Matthias100  Schreiben Sie einen Gästebucheintrag für Matthias100

Beiträge: 158
Registriert: 16.11.2004

erstellt am: 30. Mrz. 2005 11:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Walter Zettlitzer 10 Unities + Antwort hilfreich

Hallo walter, ich weis dein Beitrag ist schion 2 Jahre alt, aber geht das auch für die Längenermittlung von normalen Polylinien?
Ich muß oft die länge an einer Kurvenstrecke messen und helfe mir immer dabei mit kreisen, die ich aneinander addiere. Dabei habe ich nur den ungefähren Längenwert heraus.


LG

Matthias

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Walter Zettlitzer
Mitglied
Dipl.-Ing (FH)


Sehen Sie sich das Profil von Walter Zettlitzer an!   Senden Sie eine Private Message an Walter Zettlitzer  Schreiben Sie einen Gästebucheintrag für Walter Zettlitzer

Beiträge: 228
Registriert: 25.07.2002

WIN 2000, WINXP, ACAD 2002, ACAD 2004,
Appl. ProStahl 3D

erstellt am: 30. Mrz. 2005 13:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Mathias,

wir benutzen ein gutes tool von Holger, welches die Längen aller möglichen gewählten Objekte aufsummiert, neben Linien auch Bögen, Splines, 2D-Polylinien und 3D-Polylinien, zu finden auf
http://ww3.cad.de/foren/ubb/Forum54/HTML/003000.shtml

LG

Walter

[Diese Nachricht wurde von Walter Zettlitzer am 30. Mrz. 2005 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz